aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Komissarov <abbapoh@gmail.com>2022-08-20 15:45:56 +0300
committerIvan Komissarov <ABBAPOH@gmail.com>2022-08-21 10:47:11 +0000
commit7276cc709851333c39e24688803468a7877da322 (patch)
tree4638e048e50c8402f39cae958ee2ba14ea5b7339
parent1d908b913a8c6a3e0072e4a18d61d1432dd5bea3 (diff)
GitHub actions: Fix install-ow.sh
Change-Id: I76cbafa8c0eaf8c6d48c6d1a4c2cd4ba8c9215c6 Reviewed-by: Denis Shienkov <denis.shienkov@gmail.com>
-rwxr-xr-xscripts/install-ow.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/scripts/install-ow.sh b/scripts/install-ow.sh
index 6b123fab8..c8db30b8f 100755
--- a/scripts/install-ow.sh
+++ b/scripts/install-ow.sh
@@ -38,6 +38,7 @@
##
#############################################################################
set -eu
+set -o pipefail
function show_help() {
cat <<EOF
@@ -114,15 +115,15 @@ DOWNLOAD_DIR=`mktemp -d 2>/dev/null || mktemp -d -t 'ow-tmp'`
VERSION_MAJOR=`echo $VERSION | cut -d. -f1`
VERSION_MINOR=`echo $VERSION | cut -d. -f2`
-OW_URL="https://github.com/open-watcom/open-watcom-v${VERSION_MAJOR}/releases/download/Current-build/ow-snapshot.tar.gz"
-OW_TARGZ="${DOWNLOAD_DIR}/ow.tar.gz"
+OW_URL="https://github.com/open-watcom/open-watcom-v${VERSION_MAJOR}/releases/download/Current-build/ow-snapshot.tar.xz"
+OW_TAR="${DOWNLOAD_DIR}/ow.tar.xz"
echo "Downloading compiler from ${OW_URL}..." >&2
-curl --progress-bar -L -o ${OW_TARGZ} ${OW_URL} >&2
+curl --progress-bar -L -o ${OW_TAR} ${OW_URL} >&2
echo "Unpacking compiler to ${INSTALL_DIR}..." >&2
-7z x "${OW_TARGZ}" -so | 7z x -aoa -si -ttar -o"${INSTALL_DIR}" >/dev/null 2>&1
+7z x "${OW_TAR}" -so | 7z x -aoa -si -ttar -o"${INSTALL_DIR}" >/dev/null 2>&1
echo "${INSTALL_DIR}/${BIN_DIR}"
-rm -f ${OW_TARGZ}
+rm -f ${OW_TAR}